package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 警戒区相关电子围栏类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/03/06
 */
@Getter
public enum WarnAreaInfoAreaTypeEnums implements CodeDescEnumInterface {
    WARN_AREA(0, "警戒区"),
    AQUACULTURE_AREA(1, "养殖区"),
    ACCIDENT_AREA(2, "事故多发海域"),
    CONTROL_AREA(3, "管控区域"),
    FISHING_AREA(4, "捕捞区域"),
    CHINESE_JAPANESE_COOPERATION_WATER(5, "中日协定水域"),
    CHINESE_KOREAN_COOPERATION_WATER(6, "中韩协定水域"),
//    ONE_NAUTICAL_MILE_AREA(7, "1海里海域缓冲区"),
//    TWO_NAUTICAL_MILE_AREA(8, "2海里海域缓冲区"),
    THREE_NAUTICAL_MILE_AREA(9, "3海里海域缓冲区"),
//    FIVE_NAUTICAL_MILE_AREA(10, "5海里海域缓冲区"),
    // 禁渔区
    PROHIBITED_AREA(11, "禁渔区"),
    // 机轮拖网休渔区
    MACHINE_ROLL_DRAG_NET_AREA(12, "机轮拖网休渔区"),
    // 机轮拖网六百马力渔轮限制线的位置
    MACHINE_ROLL_DRAG_NET_AREA_LINE(13, "机轮拖网六百马力渔轮限制线的位置"),
    // 机轮拖网保护区
    MACHINE_ROLL_DRAG_NET_AREA_PROTECTED_AREA(14, "机轮拖网保护区"),
    // 三无渔船藏匿区域
    THREE_NO_BOAT_HOLED_UP(15, "三无渔船藏匿区"),

    ;

    private final Integer code;
    private final String desc;

    WarnAreaInfoAreaTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
